# Uses of Interface
com.sun.source.doctree.EscapeTree

Packages that use EscapeTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of EscapeTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type EscapeTree
Modifier and Type
Method
Description
`default R`
DocTreeVisitor.`visitEscape(EscapeTree node, P p)`
Visits an `EscapeTree` node.

## Uses of EscapeTree in com.sun.source.util

Methods in com.sun.source.util that return EscapeTree
Modifier and Type
Method
Description
`EscapeTree`
DocTreeFactory.`newEscapeTree(char ch)`
Creates a new `EscapeTree` object, to represent an escaped character.
Methods in com.sun.source.util with parameters of type EscapeTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitEscape(EscapeTree node, P p)`
Visits an `EscapeTree` node.
`R`
SimpleDocTreeVisitor.`visitEscape(EscapeTree node, P p)`
Visits an `EscapeTree` node.